*{
    margin: 0;
    padding: 0;
    
}

body{
    box-sizing: border-box;
}
/* ------------- NAV --------- */
.error{
    color: red;
    text-align: center;
}
.nave-crearCuenta{
    padding: 8px;
    position: fixed;
    padding-left: 30px;
    margin-top: -65px;
    background: #DEDBDB;
    width: 100%;
}

.nave-miCuenta{
    padding: 10px;
    padding-left: 30px;
    background: #DEDBDB;
    width: 100%;
}

.textNavegador{
    color: black;
}
.textNavegador:hover{
    color: red;
}
/* --------------------------- */
.titulo-iniciarSesion{
    margin-top: 25px;
    text-align: center;
    font-family: 'Montserrat', sans-serif;
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 25px;
}

.otros-titulos{
    text-align: center;
    font-family: 'Montserrat', sans-serif;
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 25px;
}

.flex-container{
    max-width: 500px;
    text-align: center;
    width: 100%;
    background: #DEDBDB;
    margin: 40px auto;
    padding: 30px;
    box-shadow: 1px 1px 2px rgba(0, 0,0,0.125);
    border-radius: 20px;
}

.flex-container-mensajes{
    max-width: 75%;
    text-align: left;
    width: 100%;
    background: #DEDBDB;
    margin: 40px auto;
    padding: 30px;
    box-shadow: 1px 1px 2px rgba(0, 0,0,0.125);
    border-radius: 20px;
}

.flex-container-mensajes h3{
    margin-left: 20px;
    font-family: 'Montserrat', sans-serif;
    font-size: 15px;
    font-weight: 700;
    margin-bottom: 5px;
}

.flex-container-mensajes h4{
    margin-left: 20px;
    font-family: 'Montserrat', sans-serif;
    font-size: 10px;
    font-weight: 700;
    margin-bottom: 5px;
}

.flex-container h3{
    text-align: center;
    font-family: 'Montserrat', sans-serif;
    font-size: 15px;
    font-weight: 700;
    margin-bottom: 5px;
}

.flex-container .form{
    width: 100%;
    
}

.flex-container .form .form__section{
    margin-bottom: 15px;
    display: flex;
    align-items: center;
}

.flex-container .form .form__section label{
    width: 200px;
    color: #757575;
    margin-right: 10px;
    font-size: 14px;
    text-align: right;
}

.flex-container .form .form__section input{
    width: 100%;
    outline: none;
    border: 1px solid #d5dbd9;
    font-size: 15px;
    padding: 8px 10px;
    border-radius: 3px;
    transition: all 0.3s ease;
    background-color: #E8F9FA;
}

.mail{
    width: 100%;
}
.pass{
    width: 60%;
}
.mostrar{
    width: 40%;
    padding: 8px 0;
    background: #625E5E;
    color: white;
    font-family: 'Montserrat', sans-serif;
}


a{
    margin: auto;
    color: #676363;
    text-decoration: none;
}

.flex-boton{
    max-width: 250px;
    text-align: center;
    width: 100%;
    background: #DEDBDB;
    margin: 40px auto;
    padding: 30px;
    box-shadow: 1px 1px 2px rgba(0, 0,0,0.125);
    border-radius: 20px;
}

button{
    margin: auto;
    width: 30%;
    font-family: 'Kanit', sans-serif;    
    padding: 8px 0;
    background: black;
    color: white;
}


/* ******************* VISTAS ESCRITORIO ****************** */
@media only screen and (max-width:520px){

    .titulo-iniciarSesion{
        font-size: 14px;
    }
    .flex-container{
        max-width: 400px;
    }
    .flex-container .form .form__section label{
        font-size: 10px;
    }
    .flex-container .form .form__section input{
        font-size: 10px;
    }
    
    .contra, .correo{
        margin-left: -60px;
    }
    .contra{
        margin-left: -25px;
    }

    .mostrar{
        width: 20%;
        box-sizing: content-box;
        font-size: 10px;
    }
}

@media only screen and (max-width:330px){

    .textNavegador{
        font-size: 10px;
    }

    .flex-container .form .form__section{
        display: block;
    }
    .correo{
        margin-left: 1px;
    }
    .contra{
        margin-left: -50px;
    }
    .navegador{
        font-size: 12px;
    }
    .mostrar{
        width: 98%;
    }

    .iniciarSesion{
        width: 100%;
    }

    .olvido{
        margin-left: 15vw;
    }
        
}